## pdmenu 1.2.59

=== Makefile ===
# Note: this is just a stub Makefile, to make it easy for you to
# run configure and build pdmenu. The full-fledged Makefile is created
# by ./configure, and is called `makeinfo'. You might want to edit it.

include makeinfo

configure: configure.in
	autoconf

config.status: configure
	./configure

makeinfo: autoconf/makeinfo.in config.status
	./config.status

## pdmenu 1.1.4

=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.1.1.0

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}, perl, menu (>= 0.10)
Recommends: cpp
Description: Simple full screen menu program. 
 A simple full screen menu program, intended to be comfortable 
 login shell for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

## pdmenu 1.2.34

=== debian/changelog ===
pdmenu (1.2.34) unstable; urgency=low

  * Fixed minor lintian errors. (No du file, control file permissions.)

 -- Joey Hess <joeyh@master.debian.org>  Sat, 14 Mar 1998 20:01:12 -0800

pdmenu (1.2.33) unstable; urgency=low

  * Updated COPYING file to new version of GPL, and updated
    debian/copyright to new fsf address.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 12:51:17 -0800

pdmenu (1.2.32) unstable; urgency=low

  * No longer depend on perl for cpp.pl, perl-base is sufficient.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  7 Feb 1998 19:27:48 -0800

pdmenu (1.2.31) unstable; urgency=low

  * Added a check to configure to see if cc understands -pipe.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  1 Feb 1998 17:02:06 -0800

pdmenu (1.2.30) unstable; urgency=low

  * Updated pdmenurc.newbie.
  * Updated doc/ANNOUNCE.
  * Added doc/ANNOUCE into /usr/doc/pdmenu in debian package.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 23 Dec 1997 11:07:44 -0500

pdmenu (1.2.29.5) unstable; urgency=low

  * Don't force --lowbit mode on when --retro is used.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 10 Dec 1997 14:04:28 -0500

pdmenu (1.2.29.4) unstable; urgency=low

  * Fixed a problem exhibited if you exec some programs (including telnet)
    from pdmenu when it has read its pdmenurc file from stdin.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Dec 1997 16:36:19 -0500

pdmenu (1.2.29.3) unstable; urgency=low

  * Beautiful shadows, thanks to JED.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  6 Dec 1997 01:17:28 -0500

pdmenu (1.2.29.2) unstable; urgency=low

  * Added --lowbit switch, which makes pdmenu not use high bit ascii line
    drawing characters. This fixes the #1 FAQ about pdmenu.

 -- Joey Hess <joeyh@master.debian.org>  Fri,  5 Dec 1997 00:58:17 -0500

pdmenu (1.2.29.1) unstable; urgency=low

  * Added better spec file by Jeff Covey.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 28 Nov 1997 21:02:32 -0500

pdmenu (1.2.29) unstable; urgency=low

  * Added pdmenurc.newbie file and some helper scripts by Jeff Covey 
    <jeff.covey@pobox.com>
  * Added ba.lpd file by Randolph Chung <rc42@cornell.edu>
  * Modified showdir.pl so if it is called as editdir.pl, it edits files
    instead of displaying them.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 27 Nov 1997 23:38:10 -0500

pdmenu (1.2.28) unstable; urgency=low

  * Fixed tab expansion problem.
  * Fixed problem with continutation lines being used where they shouldn't
    be.
  * Install showdir.pl into /usr/lib/pdmenu/.
  * Fixed (for the second time) segfault if exec::show command returns no
    output.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Nov 1997 14:28:18 -0500

pdmenu (1.2.27) unstable; urgency=low

  * Changed all occurrences of kite.ml.org to kitenet.net.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 17 Nov 1997 15:39:10 -0500

pdmenu (1.2.26) unstable; urgency=low

  * Wrote a small, simplistic cpp like program in perl, and now use this
    program instead of cpp for parsing /var/lib/pdmenu/pdmenurc_auto.
    Using plain cpp had undesirable side effects.
  * Suggests perl again. no longer suggests cpp.
  * Added md5sums file back in.

 -- Joey Hess <joeyh@master.debian.org>  Sun,  2 Nov 1997 20:54:47 -0500

pdmenu (1.2.25) unstable; urgency=low

  * Conflicts: menu (<< 1.4), becuase of things it does in the menu-methods
    file that old versions of menu do not understand.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 17 Oct 1997 16:12:36 -0400

pdmenu (1.2.24) unstable; urgency=low

  * Modified configure to check for asprintf, and if not found, use more
    standard functions.
  * Got rid of sinclude in Makefile (changed to include), for portability.
  * For portability, make sure the -L comes before the -lslang.
  * Added setenv() code, to be used if setenv is not otherwise available. The
    code is from: ftp://ftp.uu.net/systems/unix/bsd-sources/lib/libc/stdlib/
  * Cleaned up setenv() code so gcc doesn't complain about it.
  * No longer use rint() or floor() at all.

 -- Joey Hess <joeyh@master.debian.org>  Tue,  7 Oct 1997 20:22:33 -0400

pdmenu (1.2.23) unstable; urgency=low

  * Removed the limit on the number of items that can be in a menu.
  * Removed limits.h (hurrah!)
  * Merged ShowMessage() and RunShow() for a speedup.
  * Added helptext back in when viewing a file (removed by accident).
  * Doesn't crash on very long home directories now.
  
 -- Joey Hess <joeyh@master.debian.org>  Sun,  5 Oct 1997 22:08:29 -0400

pdmenu (1.2.22) unstable; urgency=low

  * Got rid of the limit on the number of windows that can appear on the 
    screen at one time.
  * Got rid of the limit on the number of menus that can be defined in the
    rc file.
  * Made rc file syntax errors easier to understand.
  * Simplified the build process.

 -- Joey Hess <joeyh@master.debian.org>  Sat,  4 Oct 1997 21:41:23 -0400

pdmenu (1.2.21) unstable; urgency=low

  * Emacs-indented the source.
	
 -- Joey Hess <joeyh@master.debian.org>  Sat,  4 Oct 1997 19:29:06 -0400

pdmenu (1.2.20) unstable; urgency=low

  * Let debhelper automatically generate calls to update-menus in postinst,
    postrm.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 27 Sep 1997 13:30:31 -0400

pdmenu (1.2.19) unstable; urgency=low

  * Uses debhelper to build.
  * Fix a bug in how putenv is used. Unfortunatly, this introduces a memory
    leak. Modified configure script to detect if setenv is present and use
    it instead if possible, eliminating the problem for linux systems.
  * Rename getline to pdgetline.
  * Allow use of RunSetEnv even if we don't have putenv or setenv, so you
    can still do chdir.
  * Fixed bug if you try to set an environment variable using a non-existant
    command.
  * Fixed exec flag initialization bug. (Again? I think I lost this fix.)
  * Read stdin if asked to open file named "-".
  * Removed unused /usr/sbin directory from package.



=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Maintainer: Joey Hess <joeyh@master.debian.org>
Standards-Version: 2.4.0.0

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}
Suggests: menu (>= 1.4)
Conflicts: menu (<< 1.4)
Description: Simple full screen menu program. 
 A simple full screen menu program, intended to be comfortable 
 login shell for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

=== debian/rules ===
#!/usr/bin/make -f

PATH += :debian

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --sysconfdir=/etc
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean
	-$(MAKE) distclean
	rm -f build-stamp

# Build architecture-independent files here.
binary-indep: build
	# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) INSTALL_PREFIX=debian/tmp install
	install -m 0644 debian/pdmenurc.debian debian/tmp/etc/pdmenurc
	install -d debian/tmp/var/lib/pdmenu debian/tmp/usr/lib/pdmenu
	install debian/cpp.pl debian/tmp/usr/lib/pdmenu/
	dh_installmenu
	dh_installmanpages
	dh_installdocs doc/BUGS README doc/TODO doc/ANNOUNCE
	dh_installexamples
	# Examples dh_installexamples cannot handle installing.
	install -d debian/tmp/usr/doc/pdmenu/examples/newbie
	install examples/newbie/{pdmenurc.newbie,rpm-info-on-command,modem-check} \
		debian/tmp/usr/doc/pdmenu/examples/newbie
	dh_installchangelogs
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	chmod a+x debian/tmp/usr/doc/pdmenu/examples/pdmenurc*
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## pdmenu 1.2.37

=== debian/changelog ===
pdmenu (1.2.37) unstable; urgency=low

  * Removed icon=none from debian menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:25:23 -0700

pdmenu (1.2.36) unstable; urgency=low

  * Added --numeric flag, which disables use of '2' and '8' for cursor
    movement. (Useful if you want numbered hotkeys.)

 -- Joey Hess <joeyh@master.debian.org>  Mon,  4 May 1998 13:12:30 -0700

pdmenu (1.2.35) unstable; urgency=low

  * Now linked with slang 1.2.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 25 Apr 1998 16:36:11 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: shells
 Priority: optional
 Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.0.0
+Standards-Version: 2.4.1.2
 
 Package: pdmenu
 Architecture: any

## pdmenu 1.2.59

=== debian/changelog ===
pdmenu (1.2.59) frozen unstable; urgency=low

  * Rebuilt to remove cvs cruft "man pages". No code changes. Closes: #58030

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Feb 2000 14:55:09 -0800

pdmenu (1.2.58) frozen unstable; urgency=low

  * Ok, the signal blocking added in the last version just breaks other
    things, so I have reverted it entirely. This version is identical
    to 1.2.56 except for the changelog. Closes: #55651
  * This should go in frozen, since 1.2.57 is broken pretty bad, and this is
    just a reversion to an earlier version.

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Jan 2000 16:13:19 -0800

pdmenu (1.2.57) unstable; urgency=low

  * Block signals before running command, so if it receives a signal while
    the command it running, it doesn't wake up and fight with the command for
    the tty.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2000 12:49:53 -0800

pdmenu (1.2.56) unstable; urgency=low

  * Ah, I figured out the shadow weirdness issue at last -- fixed.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Jan 2000 14:05:34 -0800

pdmenu (1.2.55) unstable; urgency=low

  * Corrected off-by-one error in SHADOW.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Jan 2000 02:59:05 -0800

pdmenu (1.2.54) unstable; urgency=low

  * Modified menu method to not crash if ran as a user -- it just doesn't do
    anything. Closes: #53933

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Jan 2000 14:09:05 -0800

pdmenu (1.2.53) unstable; urgency=low

  * Build deps added.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:09:54 -0800

pdmenu (1.2.52) unstable; urgency=low

  * Reupload, the source in the debian archive is borked.

 -- Joey Hess <joeyh@debian.org>  Thu,  2 Dec 1999 12:42:01 -0800

pdmenu (1.2.51) unstable; urgency=low

  * Built with a newer slang library, Closes: #50689

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Oct 1999 10:44:53 -0700

pdmenu (1.2.50) unstable; urgency=low

  * Fixed a file descriptior leak. Closes: #46885

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 1999 14:00:10 -0700

pdmenu (1.2.49) unstable; urgency=low

  * First actual code change since february. Fixed a problem with pdmenu not
    closing the mouse when it runs programs. gpm_active was not being set.
    Thanks to Kevin Ryde for pinpointing the problem. (Closes: #46627)

 -- Joey Hess <joeyh@debian.org>  Mon,  4 Oct 1999 15:03:28 -0700

pdmenu (1.2.48) unstable; urgency=low

  * Fixed probable error in redhat spec file, uses FHS man pages now.
    I hope Red Hat can handle FHS..

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:47:45 -0700

pdmenu (1.2.47) unstable; urgency=low

  * Fully FHS compliant.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:17:07 -0700

pdmenu (1.2.46) unstable; urgency=low

  * Oops, last upload broke my web page, fixed.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 22:27:28 -0700

pdmenu (1.2.45) unstable; urgency=low

  * Deleted a lot of accidental cruft.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Sep 1999 22:24:55 -0700

pdmenu (1.2.44) unstable; urgency=low

  * Corrected CHANGES link.
  * Integrated with my local build system to auto-update home page.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 1999 20:11:26 -0700

pdmenu (1.2.43) unstable; urgency=low

  * Rebuilt with new slang1-dev to fix slang dependancy.
  * Checked into CVS. Set up a debian/fixlinks script to correct
    symlinks.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 1999 19:59:12 -0700

pdmenu (1.2.42) unstable; urgency=low

  * Removed redundant part of regexp in debian pdmenurc.

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Aug 1999 13:28:57 -0700

pdmenu (1.2.41) unstable; urgency=low

  * Updates to console and display detection in debian pdmenurc 
    (Closes: #42300)

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Aug 1999 10:34:17 -0700

pdmenu (1.2.40) unstable; urgency=low

  * Renamed /var/lib/pdmenu/pdmenurc_auto to .pdmenurc_auto. Had to do this
    so if we have a per-user .pdmenurc_auto, it actually has that name, not
    pdmenurc_auto.
  * Added a compatability symlink it /var/lib/pdmenu/ so pdmenurc files that
    use the old pdmenurc_auto name will keep working.
  * Modified /etc/pdmenurc to use the new name.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Feb 1999 23:40:02 -0800

pdmenu (1.2.39) unstable; urgency=low

  * Copyright updates.
  * Removed duplicate GPL.
  * Now complains about invalid screen part names.
  * Fixed "color:selbarhot".

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Feb 1999 12:33:47 -0800

pdmenu (1.2.38) unstable; urgency=low

  * Rebuilt with ncurses 4.

 -- Joey Hess <joeyh@debian.org>  Fri, 30 Oct 1998 19:27:29 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pdmenu
 Section: shells
 Priority: optional
-Maintainer: Joey Hess <joeyh@master.debian.org>
-Standards-Version: 2.4.1.2
+Build-Depends: debhelper, slang1-dev, libgpmg1-dev
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.1.1.1
 
 Package: pdmenu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 PATH += :debian
 
-build: build-stamp
+build: link-stamp build-stamp
 build-stamp:
 	dh_testdir
-	./configure --prefix=/usr --sysconfdir=/etc
+	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man
 	$(MAKE)
 	touch build-stamp
 
@@ -34,18 +34,37 @@
 	dh_installdocs doc/BUGS README doc/TODO doc/ANNOUNCE
 	dh_installexamples
 	# Examples dh_installexamples cannot handle installing.
-	install -d debian/tmp/usr/doc/pdmenu/examples/newbie
+	install -d debian/tmp/usr/share/doc/pdmenu/examples/newbie
 	install examples/newbie/{pdmenurc.newbie,rpm-info-on-command,modem-check} \
-		debian/tmp/usr/doc/pdmenu/examples/newbie
+		debian/tmp/usr/share/doc/pdmenu/examples/newbie
 	dh_installchangelogs
+	dh_link var/lib/pdmenu/.pdmenurc_auto var/lib/pdmenu/pdmenurc_auto
 	dh_compress
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 	dh_fixperms
-	chmod a+x debian/tmp/usr/doc/pdmenu/examples/pdmenurc*
 	dh_md5sums
 	dh_builddeb
 
+# Fix links when checking out of cvs by calling this target.
+link-stamp:
+	sh -e debian/fixlinks
+	touch link-stamp
+
+VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
+
+# Update the web page. Not intended for use by anyone except the
+# author.
+installhook:
+	cp debian/changelog /home/pub/programs/pdmenu/CHANGES
+	cp doc/TODO /home/pub/programs/pdmenu/TODO
+	cp README /home/pub/programs/pdmenu/README
+	cp doc/BUGS /home/pub/programs/pdmenu/BUGS
+	echo $(VERSION) > /home/pub/programs/pdmenu/LATEST-VERSION-IS
+	cd /home/ftp/pub/code/pdmenu && \
+		ln -sf ../debian/pdmenu_$(VERSION).tar.gz pdmenu_$(VERSION).tar.gz && \
+		ln -sf ../debian/pdmenu_$(VERSION).tar.gz pdmenu.tar.gz
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## pdmenu 1.2.61

=== debian/changelog ===
pdmenu (1.2.61) unstable; urgency=low

  * Conflicts with older versions of menu that don't support onlyrunasroot.
    Closes: #56744
  * This version will depend on recent versions of libgpm1g, fixing a
    reported segfault with older versions. Closes: #56748

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Apr 2000 17:02:00 -0700

pdmenu (1.2.60) frozen unstable; urgency=low

  * Modified spec file so it will work with .tar.gz files that do not
    include the version number. I am currently generating that type of
    tarball.
  * Merged potato branch. (Words archealogists of the future will long ponder).

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Apr 2000 14:30:44 -0700

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 Package: pdmenu
 Architecture: any
-Depends: ${shlibs:Depends}
-Suggests: menu (>= 1.4)
-Conflicts: menu (<< 1.4)
+Depends: ${shlibs:Depends}, libgpmg1 (>= 1.17.8)
+Suggests: menu (>= 2.0.0-5)
+Conflicts: menu (<< 2.0.0-5)
 Description: Simple full screen menu program. 
  A simple full screen menu program, intended to be comfortable 
  login shell for inexperienced users.

## pdmenu 1.2.65

=== debian/changelog ===
pdmenu (1.2.65) unstable; urgency=low

  * Patch from Jan Rafaj <Jan.Rafaj@cedric.vabo.cz> to make it
    open the actual tty, not /dev/tty, if a pdmenurc file is read on stdin.
    The issue is that if /dev/tty is used, child processes use it for
    stdin/out, which, while it should work ok, can yeild confusing behavior
    if you're playing around with ttyname().

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Sep 2000 10:14:01 -0700

pdmenu (1.2.64) unstable; urgency=low

  * Killed the debian/compress file, using -X to dh_compress instead.

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Aug 2000 18:28:38 -0700

pdmenu (1.2.63) unstable; urgency=low

  * Applied a patch from Kees Schoenmakers <KeesS@milltronics.com>
    that is supposed to fix a problem where pdmenu spins in the background
    if the xterm it was running in is closed. I cannot reproduce this one
    myself.

 -- Joey Hess <joeyh@debian.org>  Mon,  7 Aug 2000 22:02:29 -0700

pdmenu (1.2.62) unstable; urgency=low

  * Fixed a dead email address.

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Jul 2000 14:45:03 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper, slang1-dev, libgpmg1-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.1.1.1
+Standards-Version: 3.2.1.0
 
 Package: pdmenu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,14 +32,15 @@
 	dh_installmenu
 	dh_installmanpages
 	dh_installdocs doc/BUGS README doc/TODO doc/ANNOUNCE
-	dh_installexamples
+	dh_installexamples examples/pdmenurc.monitor examples/pdmenurc \
+		examples/pdmenurc.complex examples/README examples/ba.lpd
 	# Examples dh_installexamples cannot handle installing.
 	install -d debian/tmp/usr/share/doc/pdmenu/examples/newbie
 	install examples/newbie/{pdmenurc.newbie,rpm-info-on-command,modem-check} \
 		debian/tmp/usr/share/doc/pdmenu/examples/newbie
 	dh_installchangelogs
 	dh_link var/lib/pdmenu/.pdmenurc_auto var/lib/pdmenu/pdmenurc_auto
-	dh_compress
+	dh_compress -X examples/
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -61,7 +62,7 @@
 	cp doc/TODO /home/pub/programs/pdmenu/TODO
 	cp README /home/pub/programs/pdmenu/README
 	cp doc/BUGS /home/pub/programs/pdmenu/BUGS
-	echo $(VERSION) > /home/pub/programs/pdmenu/LATEST-VERSION-IS
+	echo -n $(VERSION) > /home/pub/programs/pdmenu/LATEST-VERSION-IS
 	cd /home/ftp/pub/code/pdmenu && \
 		ln -sf ../debian/pdmenu_$(VERSION).tar.gz pdmenu_$(VERSION).tar.gz && \
 		ln -sf ../debian/pdmenu_$(VERSION).tar.gz pdmenu.tar.gz

## pdmenu 1.2.69

=== debian/changelog ===
pdmenu (1.2.69) unstable; urgency=low

  * Removed -fstrict-protoypes since gcc 3.0 does not understand it (why?)
    Closes: #104615
  * Made it build clean on gcc 3.0.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Jul 2001 23:26:26 -0400

pdmenu (1.2.68) unstable; urgency=low

  * Need to rebuild pdmenu now that slang has gone back to non-multibyte
    because the shadow code uses macros that determine if it is multibyte
    or not at compile time. A versioned build dep makes sure all the ports
    will build with the right version. This fixes shadows yet again.
  * Gpm is not used for the hurd. 
  * BTW, pdmenu's gpm support at the linux console on devfs systems is
    broken; this is a bug in gpm.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2001 21:45:09 -0400

pdmenu (1.2.67) unstable; urgency=low

  * Shadows are fixed, thanks to Edmund GRIMLEY EVANS <edmundo@rano.org>
  * May only work with recent versions of slang now, though.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2001 22:53:07 -0400

pdmenu (1.2.66) unstable; urgency=low

  * Use printf in pdmenurc.debian, not echo -e, so it will work with ash.
  * Copyright updates.
  * Added a title command to the pdmenurc after several user requests.
  * Compiles cleanly with -Wall once more, there were some prototype
    changes in slang.
  * Lost the yellow on red text ("pleasing color scheme"?? what was I
    thinking?)
  * Damn and blast. Debian's patching of slang for wide character set
    support has gone and broken my shadow code, and I don't know how to fix
    it. I've reverted to stupid shadows in the Debian binary. :-(

 -- Joey Hess <joeyh@debian.org>  Fri, 11 May 2001 17:08:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pdmenu
 Section: shells
 Priority: optional
-Build-Depends: debhelper, slang1-dev, libgpmg1-dev
+Build-Depends: debhelper, slang1-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386]
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.2.1.0
+Standards-Version: 3.5.5.0
 
 Package: pdmenu
 Architecture: any
-Depends: ${shlibs:Depends}, libgpmg1 (>= 1.17.8)
+Depends: ${shlibs:Depends}
 Suggests: menu (>= 2.0.0-5)
 Conflicts: menu (<< 2.0.0-5)
 Description: Simple full screen menu program.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 build: link-stamp build-stamp
 build-stamp:
 	dh_testdir
+	# Shadows are broken because debian uses a wide patched slang.
 	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man
 	$(MAKE)
 	touch build-stamp
@@ -36,7 +37,9 @@
 		examples/pdmenurc.complex examples/README examples/ba.lpd
 	# Examples dh_installexamples cannot handle installing.
 	install -d debian/tmp/usr/share/doc/pdmenu/examples/newbie
-	install examples/newbie/{pdmenurc.newbie,rpm-info-on-command,modem-check} \
+	install examples/newbie/pdmenurc.newbie \
+		examples/newbie/rpm-info-on-command \
+		examples/newbie/modem-check \
 		debian/tmp/usr/share/doc/pdmenu/examples/newbie
 	dh_installchangelogs
 	dh_link var/lib/pdmenu/.pdmenurc_auto var/lib/pdmenu/pdmenurc_auto

## pdmenu 1.2.85

=== debian/changelog ===
pdmenu (1.2.85) unstable; urgency=low

  * First translation, to French. Closes: #253877
  * Fixed mo file building and installation.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jun 2004 13:09:58 -0400

pdmenu (1.2.84) unstable; urgency=low

  * Patch from Martin Quinson to avoid use of string concatenation and make
    life easier for translators. Closes: #252322
  * Fix segfault introduced by above patch.

 -- Joey Hess <joeyh@debian.org>  Fri,  4 Jun 2004 14:59:34 -0300

pdmenu (1.2.83) unstable; urgency=low

  * Patch to add a new helptext command. Thanks, John Daley.
  * Move the stdin reopening hack to rc.c, so it is done only if a rc file
    was read from stdin. Reverted the earlier change, so it opens /dev/tty
    again. This will break on non-unix98 pty systems (linux without /dev/pts),
    but at least it will work better than the old thing, which did not work at
    all.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Dec 2003 19:41:10 -0500

pdmenu (1.2.82) unstable; urgency=low

  * Added "lynx style" menu navigation, using left and right arrow keys.
    Closes: #197274

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 2003 16:42:14 -0400

pdmenu (1.2.81) unstable; urgency=low

  * At suggestion of Bill Allombert, redo debian menu support, so there are
    three separate menu-methods, that generate three separate menus, for text,
    x11, and vc. /etc/pdmenurc then just inlcudes whichever ones is
    appropriate for the environment, no nasty cpp.pl hacks. This will also
    play nicer with menu's hints and collapsing code, since menu will know
    what items are really in each menu.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2003 21:49:37 -0400

pdmenu (1.2.80) unstable; urgency=low

  * Fix from Lou Sortman for bug if an _ was escaped, and then a hotkey placed
    later on the line. Sorry I took so long Lou!

 -- Joey Hess <joeyh@debian.org>  Mon, 12 May 2003 14:15:09 -0400

pdmenu (1.2.79) unstable; urgency=low

  * Detect 2 queued escapes and assume the first one is a literal escape.
  * s/pine/mutt/ on example menus

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Mar 2003 17:24:57 -0800

pdmenu (1.2.78) unstable; urgency=low

  * Fixed some problems with sample menus in pdmenurc(5). Closes: #183978
  * Don't call Screen_Init on startup until after initting gpm. I think that
    gpm_init was overriding the resize signal or something. Anyway, this fixes
    resizes in xterm, as mentioned in #116599.
  * Fix doubled conffiles.
  * Hacked ba.lpd example script in truely evil way to make dash -n prse it
    ok.
  * Update config.guess and config.sub.

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Mar 2003 17:33:47 -0500

pdmenu (1.2.77) unstable; urgency=low

  * Added --with-gpm/--without-gpm to configure script.
  * In debian/rules, configure gpm out on s/390, since it seems that gpm
    crashes pdmenu there, and gpm makes little sense on s/390's consoles.
    Closes: #165560
  * No need to build-dep on libgpm for s390.

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Oct 2002 20:32:32 -0400

pdmenu (1.2.76) unstable; urgency=low

  * Solaris needs #include <locale.h>

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Aug 2002 23:16:03 -0400

pdmenu (1.2.75) unstable; urgency=low

  * Don't use dh_installmanpages.

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Jun 2002 22:31:14 -0400

pdmenu (1.2.74) unstable; urgency=low

  * Moved DEB_BUILD_OPTIONS cruft out of makeinfo.

 -- Joey Hess <joeyh@debian.org>  Wed, 12 Jun 2002 13:05:32 -0400

pdmenu (1.2.73) unstable; urgency=low

  * Moved stuff to /usr/share/

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jun 2002 11:56:46 -0400

pdmenu (1.2.72) unstable; urgency=low

  * Fixed remove bug. Closes: #149152

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Jun 2002 19:01:40 -0400

pdmenu (1.2.71) unstable; urgency=low

  * Support DEB_BUILD_OPTIONS.
  * Debhelper v4.

 -- Joey Hess <joeyh@debian.org>  Sat,  1 Jun 2002 19:37:29 -0400

pdmenu (1.2.70) unstable; urgency=low

  * De-escape "\:" in prompt titles. Closes: #146727
  * Only accept Enter when pausing after a program run, to prevent
    input typed ahead at the program (eg, down key in less) from accidentually
    triggering it. Closes: #145616
  * Updated to use debhelper v4.
  * Updated to new autoconf.
  * Moved non-substituted stuff from makeinfo to Makefile.
  * Properly gettextized, rather than the wierd strings.h I made up way back
    when. Translations, anyone?

 -- Joey Hess <joeyh@debian.org>  Wed, 22 May 2002 14:01:09 -0400

=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Build-Depends: debhelper (>= 4.0.8), slang1-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390], gettext, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.6.0

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.0.0-5)
Conflicts: menu (<< 2.0.0-5)
Description: simple full screen menu program
 A full screen menu program, intended to be comfortable login shell
 for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-O2 -Wall -g
INSTALL_PROGRAM=install

# gpm is currently broken or something on s/390
ifeq (s390,$(shell dpkg --print-architecture))
GPMCONFIG = --without-gpm
endif

build: link-stamp build-stamp
build-stamp:
	dh_testdir
	./configure $(GPMCONFIG) --prefix=/usr --sysconfdir=/etc \
		--mandir=/usr/share/man CFLAGS="$(CFLAGS)"
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean
	-$(MAKE) distclean
	rm -f build-stamp link-stamp

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) INSTALL_PREFIX=debian/pdmenu \
		INSTALL_PROGRAM="$(INSTALL_PROGRAM)" install
	dh_install debian/pdmenurc etc
	dh_installdirs var/lib/pdmenu
	dh_installmenu
	install debian/menu-method-x11 debian/pdmenu/etc/menu-methods/pdmenu-x11
	install debian/menu-method-vc  debian/pdmenu/etc/menu-methods/pdmenu-vc
	dh_installdocs doc/BUGS README doc/TODO doc/ANNOUNCE
	dh_installexamples -X.in -X.pl examples/*
	dh_installchangelogs
	dh_compress -X examples/
	dh_strip
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_fixperms
	dh_md5sums
	dh_builddeb

# Fix links when checking out of cvs by calling this target.
link-stamp:
	sh -e debian/fixlinks
	touch link-stamp

VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')

# Update the web page. Not intended for use by anyone except the
# author.
DIR=/home/web/kitenet.net/programs/pdmenu
installhook:
	cp debian/changelog $(DIR)/CHANGES
	cp doc/TODO $(DIR)/TODO
	cp README $(DIR)/README
	cp doc/BUGS $(DIR)/BUGS
	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
	rm -f $(DIR)/*.tar.gz
	ln -sf /home/joey/lib/debian/unstable/pdmenu_$(VERSION).tar.gz $(DIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## pdmenu 1.2.86

=== debian/changelog ===
pdmenu (1.2.86) unstable; urgency=low

  * Switch to slang 2.
  * Since slang 2 has removed SLSMG_BUILD_CHAR which was used to add shadows
    to characters, the shadow code was changed to just draw solid black
    shadows that do not display the shadowed code underneath.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Jun 2005 14:18:37 -0400

## pdmenu 1.2.87

=== debian/changelog ===
pdmenu (1.2.87) unstable; urgency=low

  * The Return of the Shadows
    (thanks JED, apologies JMS)

 -- Joey Hess <joeyh@debian.org>  Sat, 23 Jul 2005 09:22:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pdmenu
 Section: shells
 Priority: optional
-Build-Depends: debhelper (>= 4.0.8), slang1-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390], gettext, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 4.0.8), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390], gettext, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.6.0
+Standards-Version: 3.6.2
 
 Package: pdmenu
 Architecture: any

## pdmenu 1.2.88

=== debian/changelog ===
pdmenu (1.2.88) unstable; urgency=low

  * Add links to svn.
  * debhelper v5, current policy.
  * Add !kfreebsd-any arch specifier to the libgpmg1-dev build dep.
    Closes: #377792
  * Deal with install-menu moving.
  * Dummied up debian changelog format for first changelog entries, which
    predated that format. My, lintian is getting picky.

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jul 2006 20:38:34 -0400

pdmenu (0.3) unstable; urgency=low

  * 0.3	3rd public release				21JUN96
 		Removed "-n" flag. Now, color is off by default. To turn it
 			on, either use the "-c" flag, or set the COLORTERM 
 			environment variable. (Setting COLORTERM has the side 
 			effect of making color work properly in jed, slrn, and 
 			maybe other programs that use the slang library.)
 		"make config" now works even if you only have perl 4.x, not
 			just 5.x
 		Ctrl-r forces a screen redraw.
 		Split config.h up into lots of little .h files, should make
 			it easier to configure different things.
 
  * 0.3pre6 Final bugfix					15JUN96
 		'p' flag works again (oops...)
 		Revamped rc file processing.
 		Control and high-bit characters in menus are changed to spaces.
 		Tab characters in menus/windows are ok now.
 		Avoided making color combos that blink on the linux console 
 			be the default colors.
 		Allowed default colors to be configured in config.h
 		Commands that return null output can be run with the 'w'
 			flag without problems.	
 		Added "nop" command for a blank line in the menu.

  * 0.3pre5 More bugfixing					11MAR96
 		Kept it from stomping on $HOME. (oops..)
 		Fixed key handling, although it's still far from perfect.
 		Added home and end key handling.
 		Other minor fixes.
 
  * 0.3pre4	Bugfix and minor improvements			27JAN96
 		No shadows in B&W mode, faster scrolling on slow terminals, 
 			and other cosmetic fixes.
 		Fixed nasty problem with menus greater than 127 lines long.
 		Fixed ShowMessage to work with broken gcc.
 		's' flag to exec command to set environment variables.
 		More robust parsing of rc file.
 		Sped up screen redraws, thanks to John E. Davis, author of
 			S-LANG.
 		Fixed make config.

  * 0.3pre3	Creeping featureitus				18JAN96
 		Fixed 'd' without 'n' flag so it'll not segfault.
 		'e' flag to exec command to let you enter text.
 		'd' flag to exec command to display output of command in a
 			window.
 		Configurable colors via the "color" command.
 		Menus can now contain more items than will fit on the
 			screen; they scroll.

  * 0.3pre2	Bugfix						11JAN96
 		Created autoconfig script ("make config").
 		Lots and lots of bugs fixed.
 		Added -n and -q switches.

  * 0.3pre1	The need for speed				10JAN96
 		**IMPORTANT** This version is a total rewrite in C. It is
 		like the earlier versions in spirit only. There are sure to
 		be lots of bugs, and there is no support for configurable
 		menu colors in this version. However, it's now MUCH faster,
 		and easier to use, with loads of new options.
 
  * 0.2	The enevitable bugfix				02DEC95
 		Added support for multiple menu files being used at once.
 			Just specify them all as parameters.
 		Got rid of the width item in the menu definitions.
 		Because of conflicts with multiple other programs named
 			"menu", the Makefile now installs it as pdmenu
 			instead. See INSTALL for details.
 		Added support for different colored menus.
 		Added a background title to the menus.
 		Fixed bug in detection of menus.
 
  * 0.1     First public release                            26NOV95

 -- Joey Hess <jeh22@cornell.edu>  Sun, 3 Nov 1996 19:31:59 -0500

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 GPMCONFIG = --without-gpm
 endif
 
-build: link-stamp build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 	./configure $(GPMCONFIG) --prefix=/usr --sysconfdir=/etc \
@@ -21,7 +21,7 @@
 	dh_testroot
 	dh_clean
 	-$(MAKE) distclean
-	rm -f build-stamp link-stamp
+	rm -f build-stamp
 
 binary-indep: build
 
@@ -48,24 +48,9 @@
 	dh_md5sums
 	dh_builddeb
 
-# Fix links when checking out of cvs by calling this target.
-link-stamp:
-	sh -e debian/fixlinks
-	touch link-stamp
-
-VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)')
-
-# Update the web page. Not intended for use by anyone except the
-# author.
-DIR=/home/web/kitenet.net/programs/pdmenu
-installhook:
-	cp debian/changelog $(DIR)/CHANGES
-	cp doc/TODO $(DIR)/TODO
-	cp README $(DIR)/README
-	cp doc/BUGS $(DIR)/BUGS
-	echo -n $(VERSION) > $(DIR)/LATEST-VERSION-IS
-	rm -f $(DIR)/*.tar.gz
-	ln -sf /home/joey/lib/debian/unstable/pdmenu_$(VERSION).tar.gz $(DIR)
+# Not intended for use by anyone except the author.
+announcedir:
+	@echo ${HOME}/src/joeywiki/code/pdmenu/news
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## pdmenu 1.2.89

=== debian/changelog ===
pdmenu (1.2.89) unstable; urgency=low

  * Add config.sub/config.guess update code to the debian/rules clean
    target. Closes: #379702

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Jul 2006 11:44:43 -0400

=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Build-Depends: debhelper (>= 5), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390 !kfreebsd-i386 !kfreebsd-amd64], gettext, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.1.29)
Conflicts: menu (<< 2.0.0-5)
Description: simple full screen menu program
 A full screen menu program, intended to be comfortable login shell
 for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	dh_testroot
 	dh_clean
 	-$(MAKE) distclean
+	-test -r /usr/share/misc/config.sub && \
+		cp -f /usr/share/misc/config.sub autoconf/config.sub
+	-test -r /usr/share/misc/config.guess && \
+		cp -f /usr/share/misc/config.guess autoconf/config.guess
 	rm -f build-stamp
 
 binary-indep: build

## pdmenu 1.2.90

=== debian/changelog ===
pdmenu (1.2.90) unstable; urgency=low

  * Correct urls to current location of the web page.
  * Remove some urls for downloading the source etc that are no longer valid.

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Jun 2007 16:46:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends: debhelper (>= 5), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390 !kfreebsd-i386 !kfreebsd-amd64], gettext, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.kitenet.net/joey/trunk/src/packages/pdmenu
 
 Package: pdmenu
 Architecture: any

## pdmenu 1.2.93

=== Makefile ===
CFLAGS_FOR_GCC	= -Wall
SRCDIR		= src
XGETTEXT	= xgettext --keyword=_ --keyword=N_ --add-comments=TRANS:
POTFILE		= po/pdmenu.pot
SRCFILES	= $(wildcard $(SRCDIR)/*.c)
OBJFILES	:= $(SRCFILES:%.c=%.o)
LANGS		= fr
MOS		:= $(addprefix po/, $(addsuffix .mo, $(LANGS)))
LOCALEDIR	= $(INSTALL_PREFIX)/usr/share/locale

all: pdmenu $(POTFILE) $(MOS)

include makeinfo

pdmenu: .dep $(OBJFILES)
	${CC} -o pdmenu $(OBJFILES) $(CFLAGS) $(LIBS)

depend: .dep
dep: .dep
.dep: src/*.h src/*.c
	mv makeinfo makeinfo.bak
	awk '$$0 ~ /^# DO NOT REMOVE THIS LINE/ { exit } { print }'  \
		< makeinfo.bak > makeinfo
	-rm -f makeinfo.bak
	echo "# DO NOT REMOVE THIS LINE" >> makeinfo
	$(CC) -MM $(SRCFILES) | sed 's!^\(.*\)\.o[ :]!$(SRCDIR)/\1.o:!' \
		>> makeinfo
	touch .dep

distclean: clean
	-$(MAKE) -C po distclean
	find . -name '\#*\#' -o -name '*.bak' -o -name '.??*' -o \
		-name '*~' -o -name '.gdb_history' -exec rm {} \;
	rm -f examples/pdmenurc examples/pdmenurc.monitor \
		examples/pdmenurc.complex examples/newbie/pdmenurc.newbie \
		src/slang.h config.cache config.log config.status makeinfo \
		.dep gmon.out doc/pdmenu.man doc/pdmenurc.man

clean:
	$(MAKE) $(POTFILE) # make sure translators' input is ready
	rm -f $(OBJFILES) pdmenu $(MOS)

install: all
	$(INSTALL) -d $(INSTALL_PREFIX)/$(BINDIR) \
		$(INSTALL_PREFIX)/$(MANDIR)/man1 \
		$(INSTALL_PREFIX)/$(MANDIR)/man5 \
		$(INSTALL_PREFIX)/$(SYSCONFDIR) \
		$(INSTALL_PREFIX)/$(DATADIR)/pdmenu
	$(INSTALL_PROGRAM) pdmenu $(INSTALL_PREFIX)/$(BINDIR)
	$(INSTALL) doc/pdmenu.man $(INSTALL_PREFIX)/$(MANDIR)/man1/pdmenu.1 -m 0644
	$(INSTALL) doc/pdmenurc.man $(INSTALL_PREFIX)/$(MANDIR)/man5/pdmenurc.5 -m 0644
	if [ -e $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc ]; then \
		echo "Backing up $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc to $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc.old .." ; \
		cp $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc.old ; \
	fi
	$(INSTALL) examples/pdmenurc $(INSTALL_PREFIX)/$(SYSCONFDIR)/pdmenurc -m 0644
	$(INSTALL) examples/showdir.pl $(INSTALL_PREFIX)/$(DATADIR)/pdmenu
	cd $(INSTALL_PREFIX)/$(DATADIR)/pdmenu && $(LN_S) -f showdir.pl editdir.pl
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/pdmenu.mo; \
	done

test: pdmenu
	./pdmenu examples/pdmenurc

debian:
	dpkg-buildpackage -tc -rfakeroot

configure: configure.ac
	autoconf

config.status: configure
	./configure

makeinfo: autoconf/makeinfo.in config.status
	./config.status

.c.o:
	cd $(SRCDIR) && $(CC) -c ../$< $(CFLAGS)

$(POTFILE): $(SRCFILES)
	$(XGETTEXT) -o $(POTFILE)-update $(SRCFILES)
	if test -f $(POTFILE); then \
	  if diff -I '^"POT-Creation-Date:' -I '^Report-Msgid-Bugs-To:' $(POTFILE) $(POTFILE)-update >/dev/null 2>&1; then \
	      rm -f $(POTFILE)-update; \
	  else \
	      rm -f $(POTFILE); \
	      mv $(POTFILE)-update $(POTFILE); \
	  fi; \
	else \
	  mv $(POTFILE)-update $(POTFILE); \
	fi

%.mo: %.po
	msgfmt -o $@ $<

.PHONY: debian test install clean distclean

=== debian/changelog ===
pdmenu (1.2.93) unstable; urgency=low

  * Pdmenu's repository has moved from svn to git.
  * Improve extended description.
  * Minor improvement to debian/rules clean.

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 20:55:24 -0400

pdmenu (1.2.92) unstable; urgency=low

  * Don't link with libtermcap, it's not needed.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Jul 2007 14:09:04 -0400

pdmenu (1.2.91) unstable; urgency=low

  * Update menu file for new menu policy and de-hardcode path to pdmenu in it.

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:28:55 -0400

=== debian/control ===
Source: pdmenu
Section: shells
Priority: optional
Build-Depends: debhelper (>= 5), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390 !kfreebsd-i386 !kfreebsd-amd64], gettext, dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
Vcs-Git: git://git.kitenet.net/pdmenu

Package: pdmenu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: menu (>= 2.1.29)
Conflicts: menu (<< 2.0.0-5)
Description: simple console menu program
 A full screen console menu program, intended to be comfortable login shell
 for inexperienced users.
 .
 Pdmenu interfaces with Debian's menu system, to provide
 automatically-generated lists of installed programs.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	-$(MAKE) distclean
+	if [ -e Makefile ]; then $(MAKE) distclean; fi
 	-test -r /usr/share/misc/config.sub && \
 		cp -f /usr/share/misc/config.sub autoconf/config.sub
 	-test -r /usr/share/misc/config.guess && \

## pdmenu 1.2.95

=== debian/changelog ===
pdmenu (1.2.95) unstable; urgency=low

  * Actually enable Russian translation in Makefile.
  * Put in a workaround for slang bug #407835. (If it is a bug.. workaround is
    just to enable its OS-specific utf-8 sensing code.)

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 12:50:30 -0400

pdmenu (1.2.94) unstable; urgency=low

  * Added a Russian translation from Yuri Kozlov.
    Closes: #480646

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jul 2008 00:29:41 -0400

## pdmenu 1.2.96

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 POTFILE		= po/pdmenu.pot
 SRCFILES	= $(wildcard $(SRCDIR)/*.c)
 OBJFILES	:= $(SRCFILES:%.c=%.o)
-LANGS		= fr
+LANGS		= fr ru
 MOS		:= $(addprefix po/, $(addsuffix .mo, $(LANGS)))
 LOCALEDIR	= $(INSTALL_PREFIX)/usr/share/locale

=== debian/changelog ===
pdmenu (1.2.96) unstable; urgency=low

  * ACK NMU. Closes: #505502
  * Fix a few man page issues.
  * Switch to new format copyright.

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Nov 2008 10:23:51 -0500

pdmenu (1.2.95+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Handle disconnection by gpm server gracefully. Closes: #505502.
    Based on patch by Samuel Thibault <samuel.thibault@ens-lyon.org>.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 24 Nov 2008 02:19:18 +0000

## pdmenu 1.2.97

=== debian/changelog ===
pdmenu (1.2.97) unstable; urgency=low

  * Avoid crash when running inside screen by not re-running
    SLtt_get_terminfo() when returning from running a command.
    (This smells like a bug in slang.)
    Closes: #523097

 -- Joey Hess <joeyh@debian.org>  Thu, 09 Apr 2009 12:50:58 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 5), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390 !kfreebsd-i386 !kfreebsd-amd64], gettext, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 Vcs-Git: git://git.kitenet.net/pdmenu
+Homepage: http://kitenet.net/~joey/code/pdmenu/
 
 Package: pdmenu
 Architecture: any

## pdmenu 1.2.98

=== debian/changelog ===
pdmenu (1.2.98) unstable; urgency=low

  * Spanish translation from Juan Ramón Jiménez García.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jul 2009 13:47:46 -0400

## pdmenu 1.3.1

=== debian/changelog ===
pdmenu (1.3.1) unstable; urgency=low

  * Use arch wildcards in build deps. Closes: #634487

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jul 2011 09:22:38 -0400

pdmenu (1.3.0) unstable; urgency=low

  * Add support for "exec entries"; menu entries that pdmenu execs, 
    replacing itself with their process. Contributed by Stephen Blott
  * Add -s switch enabling superhot mode, in which pressing an unambiguous
    menu hotkey immediately runs that menu item. Contributed by Stephen Blott

 -- Joey Hess <joeyh@debian.org>  Sun, 01 May 2011 11:33:29 -0400

pdmenu (1.2.99) unstable; urgency=low

  * Add Danish translation from Joe Dalton. Closes: #609579

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Feb 2011 00:02:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pdmenu
 Section: shells
 Priority: optional
-Build-Depends: debhelper (>= 5), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-i386 !s390 !kfreebsd-i386 !kfreebsd-amd64], gettext, dpkg-dev (>= 1.9.0)
+Build-Depends: debhelper (>= 5), libslang2-dev (>= 1.4.4-3), libgpmg1-dev [!hurd-any !s390 !kfreebsd-any], gettext, dpkg-dev (>= 1.9.0)
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/pdmenu
 Homepage: http://kitenet.net/~joey/code/pdmenu/
